Summary:	PyCA's cryptography library
Name:		python-cryptography
Version:	1.7.2
Release:	1
License:	ASL2.0 or BSD
Group:		Development/Python
Url:		https://cryptography.io/en/latest/
Source0:	https://pypi.io/packages/source/c/cryptography/cryptography-%{version}.tar.gz
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(libffi)
BuildRequires:	python-pyasn1
BuildRequires:	python-pyasn1-modules
BuildRequires:	python-cffi >= 0.8
BuildRequires:	python-cryptography-vectors = 1:%{version}
BuildRequires:	python-enum34
BuildRequires:	python-iso8601
BuildRequires:	python-pretend
BuildRequires:	python-pytest
BuildRequires:	python-setuptools
BuildRequires:	python-six
BuildRequires:	python-pytz
BuildRequires:	python-hypothesis

BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-cffi >= 0.8
BuildRequires:	python3-cryptography-vectors = 1:%{version}
BuildRequires:	python3-iso8601
BuildRequires:	python3-pretend
BuildRequires:	python3-pyasn1
BuildRequires:	python3-pyasn1-modules
BuildRequires:	python3-pytest
BuildRequires:	python3-setuptools
BuildRequires:	python3-six
BuildRequires:	python3-pytz
BuildRequires:	python3-hypothesis

Requires:	openssl
Requires:	python-enum34
Requires:	python-cffi >= 0.8
Requires:	python-six >= 1.6.1

%description
cryptography is a package designed to expose cryptographic primitives and
recipes to Python developers.

%files
%doc LICENSE LICENSE.APACHE LICENSE.BSD README.rst docs
%{py_platsitedir}/*

#----------------------------------------------------------------------------

%package -n python3-cryptography
Summary:	PyCA's cryptography library
Group:		Development/Python
Requires:	openssl
Requires:	python3-cffi >= 0.8
Requires:	python3-six >= 1.6.1

%description -n python3-cryptography
cryptography is a package designed to expose cryptographic primitives and
recipes to Python developers.

%files -n python3-cryptography
%doc LICENSE LICENSE.APACHE LICENSE.BSD README.rst docs
%{py3_platsitedir}/*

#----------------------------------------------------------------------------

%prep
%setup -q -n cryptography-%{version}

export CFLAGS="-Wl,lm"
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!/usr/bin/python|#!%{__python3}|'

%build
python setup.py build

pushd %{py3dir}
python3 setup.py build
popd

%install
# Actually other *.c and *.h are appropriate
# see https://github.com/pyca/cryptography/issues/1463
find . -name .keep -print -delete

python setup.py install --skip-build --prefix=%{_prefix} --root %{buildroot}

pushd %{py3dir}
python3 setup.py install --skip-build --prefix=%{_prefix} --root %{buildroot}
popd

%check
python setup.py test

# Should be enabled next time
#pushd %{py3dir}
#python3 setup.py test
#popd


%changelog

* Thu Sep 07 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.7.2-1
- (ef23214) New version 1.7.2


